Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.multipart.commons
Class CommonsMultipartFile

    java.lang.Object
      org.springframework.web.multipart.commons.CommonsMultipartFile

All Implemented Interfaces:
  java.io.Serializable, MultipartFile

    public class CommonsMultipartFile

extends java.lang.Object
implements MultipartFile, java.io.Serializable

MultipartFile implementation for Jakarta Commons FileUpload.

Since:
  29.09.2003
Author:
  Trevor D. Cook, Juergen Hoeller
See Also:
  `CommonsMultipartResolver`, Serialized Form

Field Summary
`protected static org.apache.commons.logging.Log` | `logger`

Constructor Summary
`CommonsMultipartFile(org.apache.commons.fileupload.FileItem fileItem)` Create an instance wrapping the given FileItem.

Method Summary
`byte[]` | `getBytes()` Return the contents of the file as an array of bytes.
`java.lang.String` | `getContentType()` Return the content type of the file.
`org.apache.commons.fileupload.FileItem` | `getFileItem()` Return the underlying `org.apache.commons.fileupload.FileItem` instance.
`java.io.InputStream` | `getInputStream()` Return an InputStream to read the contents of the file from.
`java.lang.String` | `getName()` Return the name of the parameter in the multipart form.
`java.lang.String` | `getOriginalFilename()` Return the original filename in the client's filesystem.
`long` | `getSize()` Return the size of the file in bytes.
`java.lang.String` | `getStorageDescription()` Return a description for the storage location of the multipart content.
`protected boolean` | `isAvailable()` Determine whether the multipart content is still available.
`boolean` | `isEmpty()` Return whether the uploaded file is empty, that is, either no file has been chosen in the multipart form or the chosen file has no content.
`void` | `transferTo(java.io.File dest)` Transfer the received file to the given destination file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected static final org.apache.commons.logging.Log logger

Constructor Detail

### CommonsMultipartFile

    public CommonsMultipartFile(org.apache.commons.fileupload.FileItem fileItem)

  Create an instance wrapping the given FileItem.

  Parameters:
    `fileItem` - the FileItem to wrap

Method Detail

### getFileItem

    public final org.apache.commons.fileupload.FileItem getFileItem()

  Return the underlying `org.apache.commons.fileupload.FileItem` instance. There is hardly any need to access this.

### getName

    public java.lang.String getName()

  Description copied from interface: `MultipartFile`
  Return the name of the parameter in the multipart form.

  Specified by:
    `getName` in interface `MultipartFile`
  Returns:
    the name of the parameter (never `null` or empty)

### getOriginalFilename

    public java.lang.String getOriginalFilename()

  Description copied from interface: `MultipartFile`
  Return the original filename in the client's filesystem.

  This may contain path information depending on the browser used, but it typically will not with any other than Opera.

  Specified by:
    `getOriginalFilename` in interface `MultipartFile`
  Returns:
    the original filename, or the empty String if no file has been chosen in the multipart form, or `null` if not defined or not available

### getContentType

    public java.lang.String getContentType()

  Description copied from interface: `MultipartFile`
  Return the content type of the file.

  Specified by:
    `getContentType` in interface `MultipartFile`
  Returns:
    the content type, or `null` if not defined (or no file has been chosen in the multipart form)

### isEmpty

    public boolean isEmpty()

  Description copied from interface: `MultipartFile`
  Return whether the uploaded file is empty, that is, either no file has been chosen in the multipart form or the chosen file has no content.

  Specified by:
    `isEmpty` in interface `MultipartFile`

### getSize

    public long getSize()

  Description copied from interface: `MultipartFile`
  Return the size of the file in bytes.

  Specified by:
    `getSize` in interface `MultipartFile`
  Returns:
    the size of the file, or 0 if empty

### getBytes

    public byte[] getBytes()

  Description copied from interface: `MultipartFile`
  Return the contents of the file as an array of bytes.

  Specified by:
    `getBytes` in interface `MultipartFile`
  Returns:
    the contents of the file as bytes, or an empty byte array if empty

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Description copied from interface: `MultipartFile`
  Return an InputStream to read the contents of the file from. The user is responsible for closing the stream.

  Specified by:
    `getInputStream` in interface `MultipartFile`
  Returns:
    the contents of the file as stream, or an empty stream if empty
  Throws:
    `java.io.IOException` - in case of access errors (if the temporary store fails)

### transferTo

    public void transferTo(java.io.File dest)
                    throws java.io.IOException,
                           java.lang.IllegalStateException

  Description copied from interface: `MultipartFile`
  Transfer the received file to the given destination file.

  This may either move the file in the filesystem, copy the file in the filesystem, or save memory-held contents to the destination file. If the destination file already exists, it will be deleted first.

  If the file has been moved in the filesystem, this operation cannot be invoked again. Therefore, call this method just once to be able to work with any storage mechanism.

  Specified by:
    `transferTo` in interface `MultipartFile`
  Parameters:
    `dest` - the destination file
  Throws:
    `java.io.IOException` - in case of reading or writing errors
    `java.lang.IllegalStateException` - if the file has already been moved in the filesystem and is not available anymore for another transfer

### isAvailable

    protected boolean isAvailable()

  Determine whether the multipart content is still available. If a temporary file has been moved, the content is no longer available.

### getStorageDescription

    public java.lang.String getStorageDescription()

  Return a description for the storage location of the multipart content. Tries to be as specific as possible: mentions the file location in case of a temporary file.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD